## MgCanvasText

MgCanvasText — Base class for MgCanvasItem objects rendering a MgBase's name as a text

## Synopsis

    struct      MgCanvasText;
    guint       mg_canvas_text_get_type         (void);
    void        mg_canvas_text_set_highlight    (MgCanvasText *ct,
                                                 gboolean highlight);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GnomeCanvasItem
                   +----GnomeCanvasGroup
                         +----MgCanvasItem
                               +----MgCanvasText
                                     +----MgCanvasField

## Properties

      "height"               gdouble              : Write
      "highlight-color"      gchararray           : Read / Write
      "mg-base"              gpointer             : Read / Write
      "scale"                gdouble              : Write
      "text-bold"            gboolean             : Read / Write
      "text-underline"       gboolean             : Read / Write
      "width"                gdouble              : Write

## Description

This GnomeCanvasItem is self-destroyed when the referenced MgBase object is nullified.

## Details

### struct MgCanvasText

    struct MgCanvasText;

### mg_canvas_text_get_type ()

    guint       mg_canvas_text_get_type         (void);

Returns : |

### mg_canvas_text_set_highlight ()

    void        mg_canvas_text_set_highlight    (MgCanvasText *ct,
                                                 gboolean highlight);

Turns ON or OFF the highlighting of `ct`

`ct` : | a MgCanvasText object
`highlight` : |

## Properties

"`height`" (gdouble : Write) |
"`highlight-color`" (gchararray : Read / Write) |
"`mg-base`" (gpointer : Read / Write) |
"`scale`" (gdouble : Write) | Text scaling factor.
"`text-bold`" (gboolean : Read / Write) |
"`text-underline`" (gboolean : Read / Write) |
"`width`" (gdouble : Write) |